$! INSTALL.COM -- Installs relevant files in a given directory tree
$!
$! Author: Richard Levitte <richard@levitte.org>
$! Time of creation: 27-MAR-1999 12:55
$!
$! P1	root of directory tree
$!
$	IF P1 .EQS. ""
$	THEN
$	    WRITE SYS$OUTPUT "First argument missing."
$	    WRITE SYS$OUTPUT "Should be the directory where you want things installed."
$	    EXIT
$	ENDIF
$
$	ARCH = "AXP"
$	IF F$GETSYI("CPU") .LT. 128 THEN ARCH = "VAX"
$
$	ROOT = F$PARSE(P1,"[]A.;0",,,"SYNTAX_ONLY,NO_CONCEAL") - "A.;0"
$	ROOT_DEV = F$PARSE(ROOT,,,"DEVICE","SYNTAX_ONLY")
$	ROOT_DIR = F$PARSE(ROOT,,,"DIRECTORY","SYNTAX_ONLY") -
		   - ".][000000" - "[000000." - "][" - "[" - "]"
$	ROOT = ROOT_DEV + "[" + ROOT_DIR
$
$	! The following is a twisted way to guarantee we'll get [] as
$	! directory delimiters...
$	HERE = F$PARSE("A.",F$ELEMENT(0,";",F$ENV("PROCEDURE")),"[]") - "]A.;"
$
$	COPY := COPY/LOG
$
$	! Install executables
$	D_FROM := 'HERE']
$	D_TO := 'ROOT']
$	F_COPYALWAYS := *.EXE
$	F_IFNOTEXIST :=
$	GOSUB INSTALL_FILES
$
$	! Install command procedures
$	D_FROM := 'HERE']
$	D_TO := 'ROOT']
$	F_COPYALWAYS := SSHEXEC.COM,SSH_LOGIN.COM,SSH_SERVER_STARTUP.COM
$	F_IFNOTEXIST :=
$	GOSUB INSTALL_FILES
$
$	! Install data files
$	D_FROM := 'HERE']
$	D_TO := 'ROOT']
$	F_COPYALWAYS :=
$	F_IFNOTEXIST := SSH_PARAMETERS.DAT,TERMINAL_DEFS.DAT
$	GOSUB INSTALL_FILES
$
$	IF F$SEARCH(ROOT+"]HKEY.PEM") .EQS. "" .AND. -
	   F$SEARCH(ROOT+"]SKEY.PEM") .EQS. "" THEN -
	   @'ROOT']SSH_SERVER_STARTUP INITIAL_KEY
$
$	EXIT
$
$ INSTALL_FILES:
$	IF F$PARSE(D_TO) .EQS. "" THEN CREATE/DIR 'D_TO'
$	I = 0
$ LOOP_ALWAYS:
$	E = F$ELEMENT(I,",",F_COPYALWAYS)
$	I = I + 1
$	IF E .EQS. "," THEN GOTO LOOP_ALWAYS_END
$	IF E .EQS. "" THEN GOTO LOOP_ALWAYS
$	COPY 'D_FROM''E' 'D_TO'
$	GOTO LOOP_ALWAYS
$ LOOP_ALWAYS_END:
$	I = 0
$ LOOP_MAYBE:
$	E = F$ELEMENT(I,",",F_IFNOTEXIST)
$	I = I + 1
$	IF E .EQS. "," THEN GOTO LOOP_MAYBE_END
$	IF E .EQS. "" THEN GOTO LOOP_MAYBE
$	IF F$SEARCH("''D_TO'''E'") .NES. "" THEN GOTO LOOP_MAYBE
$	COPY 'D_FROM''E' 'D_TO'
$	GOTO LOOP_MAYBE
$ LOOP_MAYBE_END:
$	RETURN
